@import "libs/shared/assets/src/global-style/variable";
@import 'libs/shared/assets/src/global-style/color';

.main-job-card {
    border-radius: 16px;

    &__row {
        margin-top: 16px;
    }

    &__table {
        margin-top: 30px;
        &--action {
            display: flex;
            justify-content: flex-end;
        }

        &--title-stt {
            width: 5%;
        }

        &--title-unit-management {
            width: 15%;
        }

        &--title-unit-one {
            width: 10%;
        }

        &--title-unit-two {
            width: 10%;
        }

        &--title-unit-three {
            width: 10%;
        }

        &--title-position {
            width: 15%;
        }

        &--title-position {
            width: 15%;
        }

        &--title-name {
            width: 15%;
        }

        &--title-status {
            width: 8%;
        }

        &--title-unit-action {
            width: 7%;
        }
    }

    &__button-search {
        display: flex;
        justify-content: center;
        margin-top: 16px;
        margin-bottom: 1rem;
    }

    &__left {
        padding-left: 15px;
        &__select {
            width: 100%;
        }
        &__label {
            font-size: 14px;
            color: #6e7191;
            line-height: 26px;
        }
    }
    &__center {
        padding-left: 15px;
        &__select {
            width: 100%;
        }
        &__label {
            font-size: 14px;
            color: #6e7191;
            line-height: 26px;
        }
    }
    &__right {
        padding-left: 15px;
        &__select {
            width: 100%;
        }
        &__label {
            font-size: 14px;
            color: #6e7191;
            line-height: 26px;
        }
    }

    ::ng-deep {
        .mat-chip-list-wrapper input.mat-input-element,
        .mat-chip-list-wrapper .mat-standard-chip {
            margin-left: 12px !important;
            margin-top: -2px !important;
        }
        .mat-form-field-flex {
            border: 1px solid rgb(217, 217, 217);
            min-height: 44px;
            // border: 1px solid #F5F5F5;
            border-radius: 8px;
            align-items: center !important;
            color: #d9d9d9;
        }
        .ant-pagination-item-link {
            border-radius: 8px;
            display: flex !important;
            align-items: center;
            justify-content: center;
        }
        .ant-pagination-item-link-icon {
            margin-right: 14px;
        }

        .ant-pagination-item {
            border-radius: 8px;
        }
        .ant-pagination-item-active {
            border-color: $primary-button-color;
            border-radius: 8px;
            a {
                color: $primary-button-color;
            }
        }
    }
}
.mt-20 {
    margin-top: 20px;
}
.ml-20 {
    margin-left: 20px;
}
.text-custom {
    color: $bg-gray-label;
    font-size: 14px;
    font-family: avertaB, sans-serif;
}
.text-display {
  display: flex;
  align-items: center;
  height: 50px;
}

.form-row__right {
  mat-chip {
    background: rgba(233, 234, 255, 1) !important;
    min-width: 97px;
    border-radius: 10px;
    padding: 4px 4px 4px 8px;
    border: 1px solid #7f85f3;
    margin: 0px 16px;
    align-items: center;
    justify-content: space-between;
  }

  &--mat-chip-file {
    border-radius: 8px;
    min-height: 32px;
    display: flex;
  }

  &--fileName {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: $bg-primary-darker;
    font-size: 12px;
    line-height: 16px;
    margin: 0px 8px;
  }

  &--button {
    display: flex;
    align-items: center;
    border: none;
    color: $bg-primary-darker;
  }

  .ant-form-item {
    margin: 0;
  }
}
.pdf-view {
  display: block;
  border: 1px solid $bg-modal-header-border;
  height: 70vh;
}
.file-style {
  display: flex;
  margin-top: 5px
}
.mt-10 {
  margin-top: 10px;
}
